For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get Shipment Status Timeline by Order ID and Shipment ID

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/order/:orderId/shipment/:shipmentId/timeline
GET
/2026-01/order/:orderId/shipment/:shipmentId/timeline
$curl https://sandbox-api.shipbob.com/2026-01/order/1/shipment/1/timeline \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "log_type_id": 0,
4 "log_type_name": "string",
5 "log_type_text": "string",
6 "metadata": {
7 "property1": "string",
8 "property2": "string"
9 },
10 "timestamp": "2019-08-24T14:15:22+00:00"
11 }
12]
Retrieves a chronological timeline of shipment status updates by shipment ID, showing when each status change occurred and providing visibility into the fulfillment progress.
Was this page helpful?
Previous

Get Shipment Logs by Order ID and Shipment ID

Next

Get Shipment Timeline

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdintegerRequired
The order id to get the shipment for
shipmentIdintegerRequired
The shipment id to get

Headers

shipbob_channel_idintegerOptional
Channel Id for Operation

Response

Success
log_type_idinteger
Log type id of the shipment
log_type_namestring
Name of the log type
log_type_textstring
Summary of log type meaning
metadatamap from strings to strings
Specifics data for the event
timestampdatetime
Timestamp of event

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error